ECHO OFF
REM SQL Consolidated database with SQL Anywhere remote using TCPIP in High Availability   
REM SQL Anywhere Studio MobiLink Synchronization 10.0.1
REM Written by Joshua Savill
REM Product Manager - Sybase iAnywhere
REM January 22, 2008

"%SQLANY10%\win32\dbstop" -y -c "UID=dba;PWD=sql;DBN=utility_db;LINKS=tcpip;ENG=rem2_arbiter"
"%SQLANY10%\win32\dbstop" -y -c "UID=dba;PWD=sql;DBN=utility_db;LINKS=tcpip;ENG=rem2_server1"
"%SQLANY10%\win32\dbstop" -y -c "UID=dba;PWD=sql;DBN=utility_db;LINKS=tcpip;ENG=rem2_server2"

del /f MLrem.*
del /f *.txt
del /f /q .\rem2_server1\*.*
del /f /q .\rem2_server2\*.*
rmdir rem2_server1
rmdir rem2_server2

"%SQLANY10%\win32\dbinit" -i -s -k MLrem.db

"%SQLANY10%\win32\dbdsn" -wu tcpip_rem2 -c "UID=DBA;PWD=sql;ENG=tcpip_rem2;DBN=MLrem;LINKS=tcpip{HOST=jsavill-d620}" -y

"%SQLANY10%\win32\dbspawn" -f dbsrv10 -n tcpip_rem2 MLrem.db -n MLrem -x tcpip{PORT=2705}

"%SQLANY10%\win32\dbisql" -c "DSN=tcpip_rem2" "read rem_schema.sql"

"%SQLANY10%\win32\dbisql" -c "DSN=tcpip_rem2" "read insert.sql"

"%SQLANY10%\win32\dbstop" -c "DSN=tcpip_rem2"

mkdir rem2_server1
mkdir rem2_server2

copy MLrem.db .\rem2_server1
copy MLrem.log .\rem2_server1
copy MLrem.db .\rem2_server2
copy MLrem.log .\rem2_server2

REM Starting the Remote Arbiter Server

"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -x tcpip(port=2704) -n rem2_arbiter -xa AUTH=abc;DBN=MLrem -xf rem2_arbiterstate.txt -su sql

REM Starting Server 1

"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -x tcpip(PORT=2705) -xf rem2_server1state.txt -su sql -n rem2_server1 .\rem2_server1\MLrem.db -n MLrem -sn tcpip_rem2 -xp partner=(ENG=rem2_server2;LINKS=tcpip(PORT=2706;TIMEOUT=1));auth=abc;arbiter=(ENG=rem2_arbiter;LINKS=tcpip(PORT=2704;TIMEOUT=1));mode=sync 

REM Starting Server 2

"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -x tcpip(port=2706) -xf rem2_server2state.txt -su sql -n rem2_server2 .\rem2_server2\MLrem.db -n MLrem -sn tcpip_rem2 -xp partner=(ENG=rem2_server1;LINKS=tcpip(PORT=2705;TIMEOUT=1));auth=abc;arbiter=(ENG=rem2_arbiter;LINKS=tcpip(PORT=2704;TIMEOUT=1));mode=sync

REM Starting MobiLink Client

sleep 10

REM start "" "%SQLANY10%\win32\dbmlsync" -k -c "DSN=tcpip_rem2" -mp sql -v+ -o rem.txt -e "scn=on;ctp=tcpip;adr='timeout=1000;host=localhost;port=2439'"
