ECHO OFF
REM SQL Consolidated database with SQL Anywhere remote using TCPIP in High Availability   
REM SQL Anywhere Studio MobiLink Synchronization 10.0.1
REM Written by Joshua Savill
REM Product Manager - Sybase iAnywhere
REM January 22, 2008

"%SQLANY10%\win32\dbstop" -y -c "UID=dba;PWD=sql;DBN=utility_db;LINKS=tcpip;ENG=rem3_arbiter"
"%SQLANY10%\win32\dbstop" -y -c "UID=dba;PWD=sql;DBN=utility_db;LINKS=tcpip;ENG=rem3_server1"
"%SQLANY10%\win32\dbstop" -y -c "UID=dba;PWD=sql;DBN=utility_db;LINKS=tcpip;ENG=rem3_server2"

del /f MLrem.*
del /f *.txt
del /f /q .\rem3_server1\*.*
del /f /q .\rem3_server2\*.*
rmdir rem3_server1
rmdir rem3_server2

"%SQLANY10%\win32\dbinit" -i -s -k MLrem.db

"%SQLANY10%\win32\dbdsn" -wu tcpip_rem3 -c "UID=DBA;PWD=sql;ENG=tcpip_rem3;DBN=MLrem;LINKS=tcpip{HOST=jsavill-d620}" -y

"%SQLANY10%\win32\dbspawn" -f dbsrv10 -n tcpip_rem3 MLrem.db -n MLrem -x tcpip{PORT=2709}

"%SQLANY10%\win32\dbisql" -c "DSN=tcpip_rem3" "read rem_schema.sql"

"%SQLANY10%\win32\dbisql" -c "DSN=tcpip_rem3" "read insert.sql"

"%SQLANY10%\win32\dbstop" -c "DSN=tcpip_rem3"

mkdir rem3_server1
mkdir rem3_server2

copy MLrem.db .\rem3_server1
copy MLrem.log .\rem3_server1
copy MLrem.db .\rem3_server2
copy MLrem.log .\rem3_server2

REM Starting the Remote Arbiter Server

"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -x tcpip(port=2708) -n rem3_arbiter -xa AUTH=abc;DBN=MLrem -xf rem3_arbiterstate.txt -su sql

REM Starting Server 1

"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -x tcpip(PORT=2709) -xf rem3_server1state.txt -su sql -n rem3_server1 .\rem3_server1\MLrem.db -n MLrem -sn tcpip_rem3 -xp partner=(ENG=rem3_server2;LINKS=tcpip(PORT=2710;TIMEOUT=1));auth=abc;arbiter=(ENG=rem3_arbiter;LINKS=tcpip(PORT=2708;TIMEOUT=1));mode=sync 

REM Starting Server 2

"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -x tcpip(port=2710) -xf rem3_server2state.txt -su sql -n rem3_server2 .\rem3_server2\MLrem.db -n MLrem -sn tcpip_rem3 -xp partner=(ENG=rem3_server1;LINKS=tcpip(PORT=2709;TIMEOUT=1));auth=abc;arbiter=(ENG=rem3_arbiter;LINKS=tcpip(PORT=2708;TIMEOUT=1));mode=sync

REM Starting MobiLink Client

sleep 10

REM start "" "%SQLANY10%\win32\dbmlsync" -k -c "DSN=tcpip_rem3" -mp sql -v+ -o rem.txt -e "scn=on;ctp=tcpip;adr='timeout=1000;host=localhost;port=2439'"
