ECHO OFF
REM SQL Consolidated database with SQL Anywhere remote using TCPIP in High Availability   
REM SQL Anywhere Studio MobiLink Synchronization 10.0.1
REM Written by Joshua Savill
REM Product Manager - Sybase iAnywhere
REM January 22, 2008

"%SQLANY10%\win32\dbstop" -y -c "UID=dba;PWD=sql;DBN=utility_db;LINKS=tcpip;ENG=rem4_arbiter"
"%SQLANY10%\win32\dbstop" -y -c "UID=dba;PWD=sql;DBN=utility_db;LINKS=tcpip;ENG=rem4_server1"
"%SQLANY10%\win32\dbstop" -y -c "UID=dba;PWD=sql;DBN=utility_db;LINKS=tcpip;ENG=rem4_server2"

del /f MLrem.*
del /f *.txt
del /f /q .\rem4_server1\*.*
del /f /q .\rem4_server2\*.*
rmdir rem4_server1
rmdir rem4_server2

"%SQLANY10%\win32\dbinit" -i -s -k MLrem.db

"%SQLANY10%\win32\dbdsn" -wu tcpip_rem4 -c "UID=DBA;PWD=sql;ENG=tcpip_rem4;DBN=MLrem;LINKS=tcpip{HOST=jsavill-d620}" -y

"%SQLANY10%\win32\dbspawn" -f dbsrv10 -n tcpip_rem4 MLrem.db -n MLrem -x tcpip{PORT=2713}

"%SQLANY10%\win32\dbisql" -c "DSN=tcpip_rem4" "read rem_schema.sql"

"%SQLANY10%\win32\dbisql" -c "DSN=tcpip_rem4" "read insert.sql"

"%SQLANY10%\win32\dbstop" -c "DSN=tcpip_rem4"

mkdir rem4_server1
mkdir rem4_server2

copy MLrem.db .\rem4_server1
copy MLrem.log .\rem4_server1
copy MLrem.db .\rem4_server2
copy MLrem.log .\rem4_server2

REM Starting the Remote Arbiter Server

"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -x tcpip(port=2712) -n rem4_arbiter -xa AUTH=abc;DBN=MLrem -xf rem4_arbiterstate.txt -su sql

REM Starting Server 1

"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -x tcpip(PORT=2713) -xf rem4_server1state.txt -su sql -n rem4_server1 .\rem4_server1\MLrem.db -n MLrem -sn tcpip_rem4 -xp partner=(ENG=rem4_server2;LINKS=tcpip(PORT=2714;TIMEOUT=1));auth=abc;arbiter=(ENG=rem4_arbiter;LINKS=tcpip(PORT=2712;TIMEOUT=1));mode=sync 

REM Starting Server 2

"%SQLANY10%\win32\dbspawn" -f "%SQLANY10%\win32\dbsrv10" -x tcpip(port=2714) -xf rem4_server2state.txt -su sql -n rem4_server2 .\rem4_server2\MLrem.db -n MLrem -sn tcpip_rem4 -xp partner=(ENG=rem4_server1;LINKS=tcpip(PORT=2713;TIMEOUT=1));auth=abc;arbiter=(ENG=rem4_arbiter;LINKS=tcpip(PORT=2712;TIMEOUT=1));mode=sync

REM Starting MobiLink Client

sleep 10

REM start "" "%SQLANY10%\win32\dbmlsync" -k -c "DSN=tcpip_rem4" -mp sql -v+ -o rem.txt -e "scn=on;ctp=tcpip;adr='timeout=1000;host=localhost;port=2439'"
